using LSFE.MobApp.Entities.Account;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LSFE.MobApp.Contracts
{
    public interface ISyncService
    {
        //Pull
        Task<bool> SyncPullInstitutionsAsync();
        Task<bool> SyncPullDoctorsAsync();
        Task<bool> SyncPullSamplesAsync();
        Task<bool> SyncPullProductsAsync();
        Task<bool> SyncPullUsersAsync(User users);
        //Post
        Task<bool> SyncPostAttendanceAsync();
        Task<bool> SyncPostCoverageTodayAsync(Guid planId);
        Task<bool> SyncPullCoveragePlanTodayAsync();
    }
}
